StarObjectSmallGraphicInternal::SdrGraphicGroup Class Reference documentation

StarObjectSmallGraphicInternal::SdrGraphicGroup Class Referencefinal

Internal: virtual class to store a Sdr graphic group. More...

Inheritance diagram for StarObjectSmallGraphicInternal::SdrGraphicGroup:

## Public Member Functions
| SdrGraphicGroup (int id)
| constructor
| ~SdrGraphicGroup () final
| destructor
std::string | print () const final
| basic print function
bool | send (STOFFListenerPtr &listener, STOFFFrameStyle const &pos, StarObject &object, bool inMasterPage) final
| try to send the graphic to the listener
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphic
| SdrGraphic (int id)
| constructor
| ~SdrGraphic () override
| destructor
std::string | getName () const override
| return the object name
StarState | getState (StarObject &object, STOFFListenerPtr listener, STOFFFrameStyle const &) const
| return a pool corresponding to an object
void | updateStyle (StarState &state, STOFFListenerPtr) const
| try to update the graphic style
Public Member Functions inherited from StarObjectSmallGraphicInternal::Graphic
| Graphic (int id)
| constructor
virtual | ~Graphic ()
| destructor

## Public Attributes
librevenge::RVNGString | m_groupName
| the group name
std::vector< std::shared_ptr< StarObjectSmallGraphic > > | m_child
| the child
STOFFVec2i | m_refPoint
| the ref point
bool | m_hasRefPoint
| flag to know if we use the ref point
int | m_groupDrehWink
| the dreh wink: rotation?
int | m_groupShearWink
| the shear wink
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphic
STOFFBox2i | m_bdbox
| the bdbox
int | m_layerId
| the layer id
STOFFVec2i | m_anchorPosition
| the anchor position
std::vector< GluePoint > | m_polygon
| a polygon
bool | m_flags [6]
| a list of flag
std::vector< std::shared_ptr< StarObjectSmallGraphicInternal::SDRUserData > > | m_userDataList
| the user data list
Public Attributes inherited from StarObjectSmallGraphicInternal::Graphic
int | m_identifier
| the type

## Friends
std::ostream & | operator<< (std::ostream &o, SdrGraphicGroup const &graph)
| print object data

## Detailed Description

Internal: virtual class to store a Sdr graphic group.

## Constructor & Destructor Documentation

## ◆ SdrGraphicGroup()

StarObjectSmallGraphicInternal::SdrGraphicGroup::SdrGraphicGroup | ( | int | id | ) |
| inlineexplicit

constructor

Referenced by operator<<.

## ◆ ~SdrGraphicGroup()

StarObjectSmallGraphicInternal::SdrGraphicGroup::~SdrGraphicGroup | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ print()

std::string StarObjectSmallGraphicInternal::SdrGraphicGroup::print | ( |  | ) | const
| inlinefinalvirtual

basic print function

Reimplemented from StarObjectSmallGraphicInternal::SdrGraphic.

Referenced by print().

## ◆ send()

bool StarObjectSmallGraphicInternal::SdrGraphicGroup::send | ( | STOFFListenerPtr & | listener,
|  | STOFFFrameStyle const & | pos,
|  | StarObject & | object,
|  | bool | inMasterPage )
| inlinefinalvirtual

try to send the graphic to the listener

Reimplemented from StarObjectSmallGraphicInternal::Graphic.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | SdrGraphicGroup const & | graph )
| friend

print object data

## Member Data Documentation

## ◆ m_child

std::vector<std::shared_ptr<StarObjectSmallGraphic> > StarObjectSmallGraphicInternal::SdrGraphicGroup::m_child

the child

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectGroup(), SdrGraphicGroup(), and send().

## ◆ m_groupDrehWink

int StarObjectSmallGraphicInternal::SdrGraphicGroup::m_groupDrehWink

the dreh wink: rotation?

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectGroup(), and SdrGraphicGroup().

## ◆ m_groupName

librevenge::RVNGString StarObjectSmallGraphicInternal::SdrGraphicGroup::m_groupName

the group name

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectGroup(), and SdrGraphicGroup().

## ◆ m_groupShearWink

int StarObjectSmallGraphicInternal::SdrGraphicGroup::m_groupShearWink

the shear wink

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectGroup(), and SdrGraphicGroup().

## ◆ m_hasRefPoint

bool StarObjectSmallGraphicInternal::SdrGraphicGroup::m_hasRefPoint

flag to know if we use the ref point

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectGroup(), and SdrGraphicGroup().

## ◆ m_refPoint

STOFFVec2i StarObjectSmallGraphicInternal::SdrGraphicGroup::m_refPoint

the ref point

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectGroup(), and SdrGraphicGroup().

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx